Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
cuongb2vn

Lisp lấy Dim

Các bài được khuyến nghị

Chào các anh viết lisp. Em muốn hỏi có ai viết lisp lấy dim không?

Cụ thể là khi ta vẽ trên model có rất nhiều dim, nếu mỗi lần lấy dim ta phải dùng lệnh d rồi chọn. Em muốn có một lisp lấy dim như khi mình lấy layer (lệnh laymcur chẳng hạn) . VẬy anh nào có lisp đấy thì share cho em với.

Thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào các anh viết lisp. Em muốn hỏi có ai viết lisp lấy dim không?

Cụ thể là khi ta vẽ trên model có rất nhiều dim, nếu mỗi lần lấy dim ta phải dùng lệnh d rồi chọn. Em muốn có một lisp lấy dim như khi mình lấy layer (lệnh laymcur chẳng hạn) . VẬy anh nào có lisp đấy thì share cho em với.

Thanks

Bạn lôi thanh công cụ Style ra màn hình của Cad để làm việc cho tiện nhé.Xem ở đây :

http://www.cadviet.com/forum/index.php?showtopic=9241

 

1-1.jpg

 

 

Mỗi lần muốn chuyển sang DimStyle khác thì Click vào DimStyle(vùng mầu đỏ) như hình vẽ nhé :

 

2-3.jpg

 

OK.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào các anh viết lisp. Em muốn hỏi có ai viết lisp lấy dim không?

Cụ thể là khi ta vẽ trên model có rất nhiều dim, nếu mỗi lần lấy dim ta phải dùng lệnh d rồi chọn. Em muốn có một lisp lấy dim như khi mình lấy layer (lệnh laymcur chẳng hạn) . VẬy anh nào có lisp đấy thì share cho em với.

Thanks

Ví dụ bạn có dimstyle 100

Lisp sau sẽ chuyển sang Dimstyle 100

 

(defun c:d100()

(command "dimstyle" "" "100")

(command "graphscr")

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn lôi thanh công cụ Style ra màn hình của Cad để làm việc cho tiện nhé.Xem ở đây :

http://www.cadviet.com/forum/index.php?showtopic=9241

 

1-1.jpg

Mỗi lần muốn chuyển sang DimStyle khác thì Click vào DimStyle(vùng mầu đỏ) như hình vẽ nhé :

 

2-3.jpg

 

OK.

Cái này thì mình biết rồi, bây vẽ hình thì mình không để các thanh công cụ trên màn hình, dọn sạch. Ý mình muốn một cái lisp như là lấy layer chứ không phải cách này. Vẽ bây h để chuyên nghiệp thì phải tự chế một bộ lệnh tắt thật ngon và bộ lisp ngon.

Rất cảm ơn bạn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cái này thì mình biết rồi, bây vẽ hình thì mình không để các thanh công cụ trên màn hình, dọn sạch. Ý mình muốn một cái lisp như là lấy layer chứ không phải cách này. Vẽ bây h để chuyên nghiệp thì phải tự chế một bộ lệnh tắt thật ngon và bộ lisp ngon.

Rất cảm ơn bạn.

Đồng ý với ý kiến của bạn,là để chuyên nghiệp hoá việc vẽ Cad ta phải tự chế một bộ lệnh vẽ riêng cho mình.Ví dụ 1 số lệnh vẽ tắt riêng khi đặt lại:

1=Layon

2=Layiso

3=Layoff

As=Layer Style

Dd=Dimlinear

De=Dist

Dx=Mirror

RT=Rotate

Df=Dimcontinue

USC=Ss

C=Copy

Cc=Circle

...

với nguyên tắc là lệnh vẽ sau khi được đặt lại chỉ gồm các chữ cái ở bên trái bàn phím(tay trái gõ lệnh mà).

Còn thực ra bộ Lisp mà bạn cần khi Load vào trong Cad để lấy Dim cũng ko nhanh hơn cách của mình là bao? ^^.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào các anh viết lisp. Em muốn hỏi có ai viết lisp lấy dim không?

Cụ thể là khi ta vẽ trên model có rất nhiều dim, nếu mỗi lần lấy dim ta phải dùng lệnh d rồi chọn. Em muốn có một lisp lấy dim như khi mình lấy layer (lệnh laymcur chẳng hạn) . VẬy anh nào có lisp đấy thì share cho em với.

Thanks

Bạn dùng thử LISP này (tên lệnh DimMCur, lệnh tắt : DMC):

(defun C:DimMCur(/ ent StyleName)
 (princ (strcat "\nCurrent dimension style: " (getvar "DIMSTYLE")))
 (while 
   (not
     (and
(setq ent (car (entsel "\nSelect object DIMENSION to be set to the current dimension style:")))
(if ent (= (cdr (assoc 0 (entget ent))) "DIMENSION") )
)
     )
   (princ "\nSelect Again: ")
   )  
 (if (and ent (/= (setq StyleName (cdr (assoc 3 (entget ent)))) (getvar "DIMSTYLE")) )
   (command "DIMSTYLE" "R" StyleName) )
 (princ (strcat "\nCurrent dimension style: " (getvar "DIMSTYLE")))
 (princ)
 )
(defun C:DMC() (C:DimMCur))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×